# Error Codes

In case of something goes wrong, like the server did not respond, or the request body was incorrect or authentication could not happen, the Fyre server send errors response in a standard format. The error response contains three fields: `message` ,  `code`, `success`, and `error`.  Sample error response body:&#x20;

```javascript
{
  message: 'The user has not participated in the events yet',
  code: 4007,
  success: false,
  error: true
}
```

Exact error can be idenfied by **Error Codes** contains in the **code** field of error response body. Below are the list of available error codes:&#x20;

<table><thead><tr><th width="158.68047808764945">S.No</th><th width="150">Error Code</th><th width="205">Description</th><th data-hidden></th><th data-hidden></th></tr></thead><tbody><tr><td><mark style="color:blue;">1</mark></td><td>4000</td><td>You might have used wrong privateKey and appId to generate signature.</td><td></td><td></td></tr><tr><td>2</td><td>4001</td><td>appId that you have added in the data body does not exist in Fyre. May be you have added wrong appId.</td><td></td><td></td></tr><tr><td>3</td><td>4003</td><td>You have entered wrong eventId in data parameter.</td><td></td><td></td></tr><tr><td>4</td><td>4004</td><td>You have not created any event yet. Please create event from Fyre Admin Dashboard.</td><td></td><td></td></tr><tr><td>5</td><td>4005</td><td>Signature has expired.It may possible you have entered exp(signature expiry time) is greater than iat (signature issued time) or you are using same signature again.</td><td></td><td></td></tr><tr><td>6</td><td>4006</td><td>User that trying to participate in event does not exists in Fyre platform.</td><td></td><td></td></tr><tr><td>7</td><td>4007</td><td>User has not participated in any event yet.</td><td></td><td></td></tr><tr><td>8</td><td>4008</td><td>This error has occurred because user has clicked on the link to participate in an event but has not completed the process of participation.</td><td></td><td></td></tr><tr><td>9</td><td>4009</td><td>You are trying to participate in an event with invalid email Id.</td><td></td><td></td></tr><tr><td>10</td><td>4010</td><td>This is internal to Fyre. Please contact Fyre team.</td><td></td><td></td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fyre.hypersign.id/developer/apis/error-codes.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
